Options include vector_ip_ops (Inner Product), vector_cosine_ops (Cosine), vector_l1_ops (L1 Distance), vector_l2_ops (L2 Distance)
Required API Scope: Workspace Database: Create
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/index/vector \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
{
"name": "name",
"op": "vector_ip_ops"
}
]
}
'{
"id": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
Success!
Was this page helpful?
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/index/vector \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
{
"name": "name",
"op": "vector_ip_ops"
}
]
}
'{
"id": "<string>"
}